V2 Bulk Search
Get Bulk Search Job Status
GET
https://oathnet.org/api
/
service
/
v2
/
bulk-search
/
{job_id}
Get Bulk Search Job Status
curl --request GET \
--url https://oathnet.org/api/service/v2/bulk-search/{job_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/v2/bulk-search/{job_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/v2/bulk-search/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"job_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"progress": {
"records_done": 123,
"records_total": 123,
"bytes_done": 123,
"percent": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"result": {
"format": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"file_size": 123,
"records": 123,
"ready_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"last_error": "<string>",
"request": {
"type": "<string>",
"limit": 123,
"fields": [
"<string>"
],
"request_count": 123
},
"next_poll_after_ms": 123,
"metadata": {}
}Authorizations
API key for authentication (lowercase header name)
Path Parameters
Response
Raw bulk-search job snapshot
Available options:
queued, running, completed, canceled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get Bulk Search Job Status
